const clickOnElementBinding = selector => () => (elem = document.querySelector(selector))?elem.click():null;

const keybindings = {
  "ArrowLeft": clickOnElementBinding("#next"),
  "ArrowRight": clickOnElementBinding("#prev"),
  "r": clickOnElementBinding("#random")
};

(() => {
  document.addEventListener("keydown", e => {
    if(e.key in keybindings) {
      e.preventDefault();
      keybindings[e.key]();
    }
  });

  const f0ckimage = document.querySelector("#f0ck-image");
  if(f0ckimage) {
    f0ckimage.addEventListener("click", e => {
      e.preventDefault();
      f0ckimage.hasAttribute("style")?f0ckimage.removeAttribute("style"):f0ckimage.setAttribute("style", "max-height: unset;");
    });
  }
})();
//sorry, jQuery ist dumm :--D sorry sirx, dass ich wonnes Kot auskommentiert habe